Subject: [Ietf-krb-wg] An approach for cross-realm issues

From: KAMADA Ken'ichi <[email-masked]>
Date: Wed, 13 Feb 2008 16:31:07 +0900

Hi,

I'm working on a proposal that solves some of the issues
identified in the cross-realm problem statement
(draft-ietf-krb-wg-cross-problem-statement-02).
The draft is draft-kamada-krb-client-friendly-cross-03.

I'd like to start to evaluate approaches to the cross-realm issues.
This draft describes one of them.  I would be glad if I can talk
about it at IETF-71.

The main focus of the draft is to solve the client performance issue,
but it also solves some of other issues in the problem statement.
The proposed mechanism in the draft reduces client's workload by
1) moving the task from clients to the KDC, and
2) caching the result of multi-hop traversal by the KDC
   so that it can be used for multiple clients.

Related to this work, I want to let PKCROSS be resumed.
If there are not enough hands, I'd volunteer to edit it.
I've been implementing it on Heimdal and basic stuff is
working now, and I think I can feedback some findings to the spec.

If you are interested, I appreciate your comments.
I'd also like to hear your opinions whether this is a work
that the WG will want to pick up.

Thanks,
-- 
KAMADA Ken'ichi
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg